%global         momorel 3

Name:           perl-Test-Fatal
Version:        0.013
Release:        %{momorel}m%{?dist}
Summary:        Incredibly simple helpers for testing code with exceptions
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Fatal/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Test-Fatal-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test-Simple >= 0.96
BuildRequires:  perl-Try-Tiny >= 0.07
Requires:       perl-Try-Tiny >= 0.07
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Test::Fatal is an alternative to the popular Test::Exception. It does much
less, but should allow greater flexibility in testing exception-throwing
code with about the same amount of typing.

%prep
%setup -q -n Test-Fatal-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorlib}/Test/Fatal.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-2m)
- rebuild against perl-5.18.2

* Sun Sep 29 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-1m)
- update to 0.013

* Wed Sep 18 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.012-1m)
- update to 0.012

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-7m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-6m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-1m)
- update to 0.010

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.009-1m)
- update to 0.009

* Mon Nov  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-1m)
- update to 0.008

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-3m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-2m)
- rebuild against perl-5.14.1

* Thu Jun  2 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-1m)
- update to 0.006

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.005-2m)
- rebuild against perl-5.14.0-0.2.1m

* Thu Apr 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.005-1m)
- update to 0.005

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.003-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.003-2m)
- rebuild for new GCC 4.5

* Fri Oct 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.003-1m)
- update to 0.003

* Thu Oct 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.002-1m)
- update to 0.002

* Wed Oct 27 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.001-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
